# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'dsx/dml/version'

Gem::Specification.new do |spec|
  spec.name          = "dsx-dml"
  spec.version       = Dsx::Dml::VERSION
  spec.authors       = ["dgsan"]
  spec.email         = ["dgsan@server.fake"]
  spec.description   = "Provides tools to ease working with the DSX Access Systems DML command syntax, an archaic and obnoxious format used by DSX Access Systems' SFTP APIs for making changes to records in their WinDSX SQL access control system's database(s)."
  spec.summary       = "Ease communication with DSX Access Systems' SFTP 'API.'"
  spec.homepage      = "https://github.com/dgsan/dsx-dml"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake", "~> 10.1"
  spec.add_development_dependency "rspec", "~> 2.14"
  
  spec.add_runtime_dependency "net-sftp", "~> 2.1"

end
